Bug 72709 - dhcp client doesn't always get an address on a laptop
Summary: dhcp client doesn't always get an address on a laptop
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-26 20:48 UTC by Chris Runge
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-18 19:35:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Runge 2002-08-26 20:48:17 UTC
The standard dhcp client doesn't always get an ip address for my laptop. This
was an issue with the 7.2/7.3 releases as well; in that case I simply changed
over to using pump, which did work. But with Milan/Null, pump is no longer
available. 

The dhcp client does work on my other, non-laptop systems. The laptop uses a
Xircom 10/100+56K modem PCMCIA card--maybe the client has a problem with PCMCIA
initialization? (FWIW, doing an ifup after the system comes up will usually grab
an IP address--it is just that the system will usually not (sometimes it does)
grab one initially.

Comment 1 Elliot Lee 2002-08-27 12:59:22 UTC
If you have another PCMCIA network card you can temporarily use, it would be
useful in narrowing down the problem to know whether the other card exhibits the
same behaviour.

Comment 2 Elliot Lee 2002-08-27 13:02:32 UTC
oh yea, are you really sure you are using dhcpcd and not dhclient? dhcpcd is
deprecated in favor of dhclient.

Comment 3 Chris Runge 2002-11-18 19:35:44 UTC
go ahead and close this... it was using dhclient but I am not using this system
any longer.




Note You need to log in before you can comment on or make changes to this bug.